A dashboard can be sent to the printer straight from code — as PDF or as HTML.

In React.
import { Stimulsoft } from "stimulsoft-dashboards-js-react";

var report: Stimulsoft.Report.StiReport;

function printPdf_Click()  { report.printToPdf(); }
function printHtml_Click() { report.print(); }

function App() {
    report = new Stimulsoft.Report.StiReport();
    report.loadFile("Dashboards/Dashboard.mrt");

    return (
        <>
            <button onClick={printPdf_Click}>Print PDF</button>
            <button onClick={printHtml_Click}>Print HTML</button>
        </>
    );
}

How it works. The report object handles rendering and hands the result to the browser's print flow, so no viewer is required.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

A dashboard can be sent to the printer straight from code — as PDF or as HTML.

In Vue.
<script setup lang="ts">
import { Stimulsoft } from "stimulsoft-dashboards-js-vuejs";

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");

function printPdf_Click()  { report.printToPdf(); }
function printHtml_Click() { report.print(); }
</script>

<template>
    <button @click="printPdf_Click">Print PDF</button>
    <button @click="printHtml_Click">Print HTML</button>
</template>

How it works. The report object handles rendering and hands the result to the browser's print flow, so no viewer is required.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

A dashboard can be sent to the printer straight from code — as PDF or as HTML.

In Angular.
@Component({
    template: `
        <button (click)="printPdf_Click()">Print PDF</button>
        <button (click)="printHtml_Click()">Print HTML</button>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;

    printPdf_Click()  { this.report.printToPdf(); }
    printHtml_Click() { this.report.print(); }

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");
    }
}

How it works. The report object handles rendering and hands the result to the browser's print flow, so no viewer is required.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.